{% extends "app/layout.html" %}

{% block content %}

{% load staticfiles %}

<script type="text/javascript">
    $("#flexibility-marketplace-dropdown").addClass("active");
</script>

<style>
.divided {
  display: flex;
  align-items: center;
}

.divider {
  flex-grow: 1;
  border-bottom: 1px solid black;
  margin: 5px
}

.first{
     width:100%;
     height:30px;
     position:absolute;
 }
.second{
    width:100%;
    height:30px;
	position: relative;
    top: 70px;
}



</style>

<div class="container wrapper">



    <div class="row">


         {% if service == "reactive_power_compensation" %}
         <ul class="col-sm-3 col-lg-2 nav nav-tabs tabs-left lefttab" role="tablist">
             <h3 class="row"> Time frame </h3>
                <li id="day_ahead_tab" role="presentation" class="vertical_tab"><a href="{% url 'reactive_power_compensation_service_day_ahead' %}">Day Ahead</a></li>
                <li id="intra_day_tab" role="presentation" class="vertical_tab"><a href="{% url 'reactive_power_compensation_service_intra_day' %}">Intra Day</a></li>
         </ul>
        {%    endif %}

        {% if service == "congestion_management" %}
         <ul class="col-sm-3 col-lg-2 nav nav-tabs tabs-left lefttab" role="tablist">
            <h3 class="row"> Time frame </h3>
                <li id="day_ahead_tab" role="presentation" class="vertical_tab"><a href="{% url 'congestion_management_service_day_ahead' %}">Day Ahead</a></li>
                <li id="intra_day_tab" role="presentation" class="vertical_tab"><a href="{% url 'congestion_management_service_intra_day' %}">Intra Day</a></li>
         </ul>
        {%    endif %}

        {% if service == "spinning_reserve" %}
         <ul class="col-sm-3 col-lg-2 nav nav-tabs tabs-left lefttab" role="tablist">
              <h3 class="row"> Time frame </h3>
                <li id="day_ahead_tab" role="presentation" class="vertical_tab"><a href="{% url 'spinning_reserve_service_day_ahead' %}">Day Ahead</a></li>
                <li id="intra_day_tab" role="presentation" class="vertical_tab"><a href="{% url 'spinning_reserve_service_intra_day' %}">Intra Day</a></li>
         </ul>
        {%    endif %}

        {% if service == "scheduling" %}
         <ul class="col-sm-3 col-lg-2 nav nav-tabs tabs-left lefttab" role="tablist">
             <h3 class="row"> Time frame </h3>
                <li id="day_ahead_tab" role="presentation" class="vertical_tab"><a href="{% url 'scheduling_service_day_ahead' %}">Day Ahead</a></li>
                <li id="intra_day_tab" role="presentation" class="vertical_tab"><a href="{% url 'scheduling_service_intra_day' %}">Intra Day</a></li>
         </ul>
        {%    endif %}

         <h3>Please select timeframe for {{service_name}}</h3>

    </div>




    <div role="tabpanel" class="catalyst_tabpane">


        <ul class="col-sm-3 col-lg-2 nav nav-tabs tabs-left lefttab" role="tablist" id="leftmenu">
            <h3 class="row"> Flexibility services </h3>
            <li id="reactive_power_compensation_tab" role="presentation" class="vertical_tab"><a href="{% url 'reactive_power_compensation_service_no_timeframe'%}">Reactive power compensation</a></li>
            <li id="congestion_management_tab" role="presentation" class="vertical_tab"><a href="{% url 'congestion_management_service_no_timeframe' %}">Congestion management</a></li>
            <li id="spinning_reserve_tab" role="presentation" class="vertical_tab"><a href="{% url 'spinning_reserve_service_no_timeframe'%}">Spinning reserve capacity</a></li>
            <li id="scheduling_tab" role="presentation" class="vertical_tab"><a href="{% url 'scheduling_service_no_timeframe'%}">Scheduling</a></li>
        </ul>

    </div>
</div>
{% endblock %}


{% block scripts %}
    <script src="{% static 'app/scripts/bootstrap-table.js' %}"></script>
    <script src="{% static 'app/scripts/moment.min.js' %}"></script>
    <script src="{% static 'app/scripts/moment-timezone-with-data-2010-2020.min.js' %}"></script>
    <script src="{% static 'app/scripts/bootstrap-datetimepicker.js' %}"></script>
    <script type="text/javascript" src="{% static 'app/scripts/moment-utc-formater.js' %}"></script>
    <script type="text/javascript" src="{% static 'app/scripts/cookies.js' %}"></script>
    <script type="text/javascript" src="{% static 'app/scripts/utilities.js' %}"></script>
    <script type="text/javascript">
        var sessionId       = -1;
        <!--var isDso           = {{ request.session.is_dso }};-->
        var service         = "{{ service }}";
     </script>

    <script type="text/javascript">
        var token = "{{ token }}";
        var actor_id = "{{ actor.id }}";
        var username = "{{ username }}";
        var is_dso = "{{ is_dso }}";
        var SELECT_MPLACE ="{{ SELECT_MPLACE }}";
        var MPLACE_URL = "{{ MPLACE_URL }}";
        var ACTION_URL = "{{ ACTION_URL }}";
        var ACTION_STATUS_URL = "{{ ACTION_STATUS_URL }}";
        var ACTION_TYPE_URL = "{{ ACTION_TYPE_URL }}";
        var form = "{{ FLEXIBILITY }}";
    </script>

    <script type="text/javascript" src="{% static 'gam/scripts/service_without_timeframe.js'%}"></script>

{% endblock %}
